---
title: "Idealo API: Deals | Perceptlayer"
description: "Deals from Idealo as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/idealo/deals
---

[APIs](https://perceptlayer.com/apis) / [Idealo](https://perceptlayer.com/apis/idealo) / Deals

# Idealo: Deals

Deals from Idealo as JSON. 1 credit per successful call.

GET `/v1/idealo/deals`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `category_id` | string | Required | Any |
| `deal_type` | string | Optional | bargain, short\_term |
| `page` | integer | Optional | Any |
| `sort` | string | Optional | RELEVANCE\_DESC, PRICE\_ASC, PRICE\_DESC, DISCOUNT\_DESC, CREATION\_DATE\_DESC |
| `filters[]` | list of string | Optional | Any |
| `price_min` | number | Optional | Any |
| `price_max` | number | Optional | Any |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/idealo/deals" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/idealo?try=deals#playground) with your own parameters. 1 credit per successful call; failed calls are free.
